# How to Contribute

I am happy to receive contributions -- there are certainly places where existing functionality can be improved or extended, or room for new functionality.

The ideal mode for contributing is through pull requests.

## Coding Conventions

* Functions should use CamelCase and include docstrings.
* When possible, limit line lengths to 80 characters.
* If a chunk of code is not immediately clear (e.g., is particularly Pythonic), include descriptive comments.
* Indent 2 spaces.
* If an if statement can be made inline, do so.
* If it is aestetically pleasing to align multiple declarations' at teh "=", please do so.
* Include leading and trailing spaces in function calls (e.g., `Quadratic( x, a, b, c )`).
* Use two empty lines between functions.
